For the complete documentation index, see llms.txt. This page is also available as Markdown.

Traces

Create one or many traces

post

This will create one or many traces with the provided license plate number.

In the endpoint's URL, you must replace {vendor} by the name given to you by your Dashdoc project manager.

All vehicles specified in the request must exist in Dashdoc with the provided license plate, otherwise the request will return a 400 error.

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
license_platestring · max: 200Required

License plate number

Example: AB123CD
countrystringOptional

Country code of the license plate

Example: FR
timestringOptional

Timestamp at which the trace was generated. ISO-8601 format.

Example: 2022-02-01T08:00:00Z
mileageintegerOptional

Mileage expressed in kilometers

Example: 123
latitudenumberOptional

Latitude of the position of the vehicle

Example: 42.2
longitudenumberOptional

Longitude of the position of the vehicle

Example: 2.3522
Responses
201Success
application/json
pknumberOptional

Dashdoc's internal id

Example: 17293
license_platestring · max: 200Optional

License plate number

Example: AB123CD
countrystringOptional

Country code of the license plate

Example: FR
timestringOptional

Timestamp at which the trace was generated. ISO-8601 format.

Example: 2022-02-01T08:00:00Z
mileageintegerOptional

Mileage expressed in kilometers

Example: 123
latitudenumberOptional

Latitude of the position of the vehicle

Example: 42.2
longitudenumberOptional

Longitude of the position of the vehicle

Example: 2.3522
post/telematics/traces/{vendor}/
POST /api/v4/telematics/traces/{vendor}/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 121

{
  "license_plate": "AB123CD",
  "country": "FR",
  "time": "2022-02-01T08:00:00Z",
  "mileage": 123,
  "latitude": 42.2,
  "longitude": 2.3522
}
201Success
{
  "pk": 17293,
  "license_plate": "AB123CD",
  "country": "FR",
  "time": "2022-02-01T08:00:00Z",
  "mileage": 123,
  "latitude": 42.2,
  "longitude": 2.3522
}

Last updated

Was this helpful?